/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "RMOL", "index.html", [
    [ "RMOL Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "RMOL on GitHub", "index.html#at_github", null ],
      [ "RMOL Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support RMOL", "index.html#social_sponsorship", null ],
      [ "About RMOL", "index.html#about", null ]
    ] ],
    [ "People", "a01194.html", [
      [ "Project Admins", "a01194.html#admins", null ],
      [ "Developers", "a01194.html#developers", null ],
      [ "Retired Developers", "a01194.html#retired", null ],
      [ "Contributors", "a01194.html#contributors", null ],
      [ "Distribution Maintainers", "a01194.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a01195.html", [
      [ "Default Naming Rules for Variables", "a01195.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a01195.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a01195.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a01195.html#cr_files", null ],
      [ "Default Functionality of Classes", "a01195.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a01196.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a01196.html#gnugpl", [
        [ "Version 2.1, February 1999", "a01196.html#version", null ]
      ] ],
      [ "Preamble", "a01196.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a01196.html#terms", [
        [ "NO WARRANTY", "a01196.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a01196.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a01196.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a01197.html", [
      [ "General Rules", "a01197.html#doc_general", null ],
      [ "File Header", "a01197.html#doc_header", null ],
      [ "Grouping Various Parts", "a01197.html#doc_groups", null ]
    ] ],
    [ "Main features", "a01198.html", [
      [ "Optimisation features", "a01198.html#rmo_features", null ],
      [ "Unconstraining", "a01198.html#rmu_features", null ],
      [ "Forecasting features", "a01198.html#rmf_features", null ],
      [ "Overbooking features", "a01198.html#rmc_features", null ],
      [ "Other features", "a01198.html#other_features", null ]
    ] ],
    [ "Make a Difference", "a01199.html", null ],
    [ "Make a new release", "a01200.html", [
      [ "Introduction", "a01200.html#description", null ],
      [ "Initialisation", "a01200.html#initialisation", null ],
      [ "Release branch maintenance", "a01200.html#branch_update", null ],
      [ "Commit and publish the release branch", "a01200.html#branch_publish", null ],
      [ "Create source packages (tar-balls)", "a01200.html#create_packages", null ],
      [ "Generate the RPM packages", "a01200.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a01200.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a01200.html#create_bin_packages", null ],
      [ "Files on GitHub", "a01200.html#upload_files", null ],
      [ "Upload the documentation to GitHub", "a01200.html#upload_doc", null ]
    ] ],
    [ "Installation", "a01201.html", [
      [ "Table of Contents", "a01201.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a01201.html#rpm_linux", null ],
      [ "RMOL Requirements", "a01201.html#requirements", null ],
      [ "Basic Installation", "a01201.html#basic_instructions", null ],
      [ "Compilers and Options", "a01201.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a01201.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a01201.html#installation_names", null ],
      [ "Optional Features", "a01201.html#optional_features", null ],
      [ "Particular systems", "a01201.html#particular_systems", null ],
      [ "Specifying the System Type", "a01201.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a01201.html#sharing_defaults", null ],
      [ "Defining Variables", "a01201.html#defining_variables", null ],
      [ "‘cmake’ Invocation", "a01201.html#cmake_invocation", null ]
    ] ],
    [ "Linking with RMOL", "a01202.html", [
      [ "Introduction", "a01202.html#intro", null ],
      [ "Using the pkg-config command", "a01202.html#pkgconfig", null ],
      [ "Using the rmol-config script", "a01202.html#rmol_config", null ],
      [ "M4 macro for the GNU Autotools", "a01202.html#autotools", null ],
      [ "Using RMOL with dynamic linking", "a01202.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a01203.html", [
      [ "The Test File", "a01203.html#test_file", null ],
      [ "The Reference File", "a01203.html#reference_file", null ],
      [ "Testing IT++ Library", "a01203.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a01204.html", [
      [ "Table of Contents", "a01204.html#ug_toc", null ],
      [ "Introduction", "a01204.html#ug_introduction", null ],
      [ "Get Started", "a01204.html#ug_get_started", [
        [ "Get the RMOL library", "a01204.html#ug_get_source", null ],
        [ "Build the RMOL project", "a01204.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a01204.html#ug_build_and_run_tests", null ],
        [ "Install the RMOL Project (Binaries, Documentation)", "a01204.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a01204.html#ug_bom_tree", [
        [ "Forecaster BOM Tree", "a01204.html#ug_bom_forecaster", null ],
        [ "Optimiser BOM Tree", "a01204.html#ug_bom_optimiser", null ]
      ] ],
      [ "Extending the BOM Tree", "a01204.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a01205.html", [
      [ "RMOL 0.23.x", "a01205.html#rmol_0_23", [
        [ "Linux Systems", "a01205.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a01205.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a01205.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a01205.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a01205.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a01205.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with RMOL External", "a01205.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a01205.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a01205.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a01205.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a01205.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a01205.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a01205.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a01205.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and RMOL External", "a01205.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a01205.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a01205.html#unix", [
          [ "SunOS 5.9 with RMOL External", "a01205.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "RMOL Supported Systems (Previous Releases)", "a01206.html", [
      [ "RMOL 3.9.1", "a01206.html#rmol_3_9_1", null ],
      [ "RMOL 3.9.0", "a01206.html#rmol_3_9_0", null ],
      [ "RMOL 3.8.1", "a01206.html#rmol_3_8_1", null ]
    ] ],
    [ "Tutorials", "a01207.html", [
      [ "Table of Contents", "a01207.html#tut_toc", null ],
      [ "Introduction", "a01207.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a01207.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a01207.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a01207.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a01207.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a01207.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a01207.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a01207.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a01207.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a01207.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a01207.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a01207.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a01207.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a01208.html", null ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a01209.html", null ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a01210.html", null ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a01211.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00002.html",
"a00877.html#a840aa6538f5c4d33167e38ed6d428da7",
"a01204.html#ug_get_started"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';